The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update Proxy Server Configuration

Prev Next

This URL updates the proxy server configuration.

Resource URL

PUT /domain/<domainId>/proxyserver

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domainId Domain id Number Yes

Payload parameters:

Field Name Description Data Type Mandatory
useDeviceListSettings Inherit managers settings Boolean No
useProxyserver Use proxy server Boolean No
proxyServerNameOrIPAddr Proxy server IP/name String Yes
proxyPort Proxy port Number Yes
userName Username String No
password Password String No

Response Parameters

Following fields are returned if the operation was successful, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful Number

Example

Request

PUT https://<NSM_IP>/sdkapi/domain/<domainId>/proxyserver

Payload

{
        "useDeviceListSettings": false,
        "useProxyserver": false,
        "proxyServerNameOrIPAddr": 1.1.1.1,
        "proxyPort": 8443,
        "userName": null,
        "password": null
    } 

Response

{
"status": 1
           } 
 

Error Information

Following error codes are returned by this URL:

No SDK API errorId SDK API errorMessage
1 4714 Listening port number should be between 1 and 65535